version: 1

containers:
  main:
    image: lightninglabs/lnd:v0.18.5-beta
    user: 1000:1000
    mounts:
      data:
        config/walletpassword: /walletpassword
        config/lnd.conf: /data/.lnd/lnd.conf
        data/lnd: /data/.lnd
    environment:
      HOME: /data
    internal_ports:
      9735: 9735
      10009: 10009
      8080: 8080
    public_ports:
      9735: 9735
      10009: 10009
      8080: 8080
  plugin:
    image: harbor.nirvati.org/nirvati/nirvati-plugin-lnd:v0.1.13.2
    mounts:
      data:
        data/lnd: /data
    environment:
      LND_URL: main.lnd.{{user}}.nirvati:10009
      BTC_NETWORK: {{ plugins.bitcoin.info.network }}
    plugins:
      auth:
        display_name: LND integration
        type: context
        port: 50051
  api:
    image: harbor.nirvati.org/citadel/api:v0.1.13.2
    mounts:
      data:
        data/lnd: /data
        config: /config
    environment:
      LND_URL: main.lnd.{{user}}.nirvati:10009
      BTC_NETWORK: {{ plugins.bitcoin.info.network }}
      BIND_ADDRESS: "[::]:80"
      RSA_KEY: {{ jwt_pubkey_base64 }}
      EXPECTED_USERNAME: {{ user }}
      RUST_LOG: debug
      BITCOIN_RPC_URL: http://gateway.bitcoin.{{user}}.nirvati:8332
      BITCOIN_RPC_USER: lnd-{{user}}-citadel
      BITCOIN_RPC_PASSWORD: {{ plugins.bitcoin.info.account_passwords.citadel }}
    internal_ports:
      80: 80
    service_account:
      cluster_rules:
      - apiGroups: ['apps']
        resources: ['deployments']
        verbs: ['get', 'patch']
      - apiGroups: ['arti.nirvati.org']
        resources: ['onionservices']
        verbs: ['get']
    has_permissions:
    - bitcoin/access-rpc

tor:
  onion-service:
    p2p:
      target_svc: main
      ports:
        9735: 9735
    rest:
      target_svc: main
      ports:
        8080: 8080
    grpc:
      target_svc: main
      ports:
        10009: 10009
